# Spring
spring:
  servlet:
    multipart:
      max-request-size: 50MB
      max-file-size: 30MB
  cloud:
    loadbalancer:
      # 关闭Ribbon的负载均衡器
      ribbon:
        enabled: false
      # 开启Nacos的负载均衡器
      nacos:
        enabled: true
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 127.0.0.1:8848
        namespace: sgzb_cloud_dev_nw
      config:
        # 配置中心地址
        server-addr: 127.0.0.1:8848
        namespace: sgzb_cloud_dev_nw
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}

#腾讯云sms
tencent:
  sms:
    #api秘钥标识
    accessKeyId: AKIDrreCVaRKDtMcgfU5QW9iEfv67tMfldJn
    #api秘钥
    accessKeySecret: OXUgeMo0yhBRTGo6sVu3yiFX4rQtAzc3
    #请求域名
    endpoint: sms.tencentcloudapi.com
    #所属区域
    region: ap-guangzhou
    #腾讯云申请应用id
    sdkAppId: 1400494336
    #签名
    smsSign: 南方电网互联网
    #云平台模板id 2116937-验收通知  2115503-登录验证
    templateId: 2116937,2115503
  # 腾讯云cos
  cos:
    file:
      # 存储桶所在地域
      region: ap-guangzhou
      # 存储桶所在地域
      bucketregion: ap-guangzhou
      # 存储桶名称
      bucketname: prod-rental-1301524038
      # API账号
      secretid: AKIDrreCVaRKDtMcgfU5QW9iEfv67tMfldJn
      # API密钥
      secretkey: OXUgeMo0yhBRTGo6sVu3yiFX4rQtAzc3

# 禁用Actuator端点的未经身份验证的访问
management:
  endpoint:
    env:
      enabled: false





